shibboleth-3.5.0

Classes | Namespaces | Macros | Functions | Variables
AttributeResolver.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <shibsp/base.h>`
`#include <string>`
`#include <vector>`
`#include <xercesc/util/XercesDefs.hpp>`
`#include <xmltooling/Lockable.h>`

## Classes
class | shibsp::AttributeResolver
| The service that resolves the attributes for a particular subject. More...

## Namespaces
namespace | xmltooling
| Licensed to the University Corporation for Advanced Internet Development, Inc.
namespace | shibsp
| Shibboleth Service Provider Library.

## Macros
#define | QUERY_ATTRIBUTE_RESOLVER "Query"
| AttributeResolver based on SAML queries to an IdP during SSO.
#define | SIMPLEAGGREGATION_ATTRIBUTE_RESOLVER "SimpleAggregation"
| AttributeResolver based on free-standing SAML queries to additional AAs.
#define | CHAINING_ATTRIBUTE_RESOLVER "Chaining"
| AttributeResolver based on chaining together other resolvers.

## Functions
void | shibsp::registerAttributeResolvers ()
| Registers AttributeResolver classes into the runtime.

## Variables
class SAML_API | opensaml::Assertion
class SAML_API | opensaml::saml2::NameID
class SAML_API | opensaml::saml2md::EntityDescriptor

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

A service that transforms or resolves additional attributes for a particular subject.